> ## Documentation Index
> Fetch the complete documentation index at: https://docs.poix.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get comment replies

> Get replies for a specific comment



## OpenAPI

````yaml get /commentReplies
openapi: 3.1.0
info:
  version: 1.0.0
  title: Poix API
servers:
  - url: https://api.poix.io
    description: Production server
security: []
paths:
  /commentReplies:
    get:
      summary: Get comment replies
      description: Get replies for a specific comment
      operationId: getVideoCommentThreads
      parameters:
        - schema:
            type: string
            description: The comment ID to get replies for
          required: true
          description: The comment ID to get replies for
          name: parentCommentId
          in: query
        - schema:
            type: string
            description: >-
              The page token to get the next page of comment threads if
              available
          required: false
          description: The page token to get the next page of comment threads if available
          name: pageToken
          in: query
        - schema:
            type: string
            enum:
              - html
              - plainText
            default: html
            description: The format to return comments in
          required: false
          description: The format to return comments in
          name: format
          in: query
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  nextPageToken:
                    type: string
                    description: Token to retrieve the next page of results, if available.
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: The unique ID of the comment thread.
                        channelId:
                          type: string
                          description: The ID of the channel that owns the comment thread.
                        videoId:
                          type: string
                          description: >-
                            The ID of the video the comment thread is associated
                            with.
                        textDisplay:
                          type: string
                          description: The text of the comment displayed to the user.
                        textOriginal:
                          type: string
                          description: >-
                            The original text of the comment, without
                            formatting.
                        authorDisplayName:
                          type: string
                          description: The display name of the comment author.
                        authorProfileImageUrl:
                          type: string
                          description: The URL of the author’s profile image.
                        authorChannelUrl:
                          type: string
                          description: The URL of the author’s channel.
                        authorChannelId:
                          type: object
                          properties:
                            value:
                              type: string
                          required:
                            - value
                        canRate:
                          type: boolean
                          description: Indicates if the comment can be rated by the viewer.
                        viewerRating:
                          type: string
                          description: The rating given by the viewer, if applicable.
                        likeCount:
                          type: number
                          description: The number of likes the comment has received.
                        publishedAt:
                          type: string
                          description: The date and time when the comment was published.
                        updatedAt:
                          type: string
                          description: The date and time when the comment was last updated.
                        totalReplyCount:
                          type: number
                          description: The total number of replies to this comment.
                        replies:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                                description: The unique ID of the reply.
                              channelId:
                                type: string
                                description: The ID of the channel that owns the reply.
                              videoId:
                                type: string
                                description: >-
                                  The ID of the video the reply is associated
                                  with.
                              textDisplay:
                                type: string
                                description: The text of the reply displayed to the user.
                              textOriginal:
                                type: string
                                description: >-
                                  The original text of the reply, without
                                  formatting.
                              parentId:
                                type: string
                                description: >-
                                  The ID of the parent comment this reply is
                                  associated with.
                              authorDisplayName:
                                type: string
                                description: The display name of the reply author.
                              authorProfileImageUrl:
                                type: string
                                description: The URL of the author’s profile image.
                              authorChannelUrl:
                                type: string
                                description: The URL of the author’s channel.
                              authorChannelId:
                                type: object
                                properties:
                                  value:
                                    type: string
                                required:
                                  - value
                              canRate:
                                type: boolean
                                description: >-
                                  Indicates if the reply can be rated by the
                                  viewer.
                              viewerRating:
                                type: string
                                description: The rating given by the viewer, if applicable.
                              likeCount:
                                type: number
                                description: The number of likes the reply has received.
                              publishedAt:
                                type: string
                                description: >-
                                  The date and time when the reply was
                                  published.
                              updatedAt:
                                type: string
                                description: >-
                                  The date and time when the reply was last
                                  updated.
                            required:
                              - id
                              - channelId
                              - videoId
                              - textDisplay
                              - textOriginal
                              - parentId
                              - authorDisplayName
                              - authorProfileImageUrl
                              - authorChannelUrl
                              - authorChannelId
                              - canRate
                              - viewerRating
                              - likeCount
                              - publishedAt
                              - updatedAt
                          description: An array of replies to the comment, if available.
                      required:
                        - id
                        - channelId
                        - videoId
                        - textDisplay
                        - textOriginal
                        - authorDisplayName
                        - authorProfileImageUrl
                        - authorChannelUrl
                        - authorChannelId
                        - canRate
                        - viewerRating
                        - likeCount
                        - publishedAt
                        - updatedAt
                        - totalReplyCount
                    description: Array of comment thread objects.
                required:
                  - data
              example:
                nextPageToken: >-
                  Z2V0X2NvbW1lbnRfd2l0aF9yZXBsaWVzX3N0cmVhbS0tQ2dnSWdBUVZGN2ZST0JJRkNLQWdHQUVZQUNJTkNnc0lpWXVIaUFZUWdJRzlNUQ==
                data:
                  - id: UgzarqjaaPC7TbFINNx4AaABAg.9QM9WCCnud69QM9Xt-Bv-i
                    channelId: UCuAXFkgsw1L7xaCfnd5JJOw
                    textDisplay: 🧏
                    textOriginal: 🧏
                    parentId: UgzarqjaaPC7TbFINNx4AaABAg
                    authorDisplayName: '@25mxfu'
                    authorProfileImageUrl: >-
                      https://yt3.ggpht.com/eFMdry0aqPatgKf2a4fruwImpjDabWq3FhhI22cv2EaZZ7fFlT1_VIzwag6ix9nfKclvsEpw4w=s48-c-k-c0x00ffffff-no-rj
                    authorChannelUrl: http://www.youtube.com/@25mxfu
                    authorChannelId:
                      value: UCNk7c5zOVZH3ep7S0lJOrPQ
                    canRate: true
                    viewerRating: none
                    likeCount: 144865
                    publishedAt: '2021-07-28T21:00:45Z'
                    updatedAt: '2024-02-18T20:14:21Z'
                  - id: UgzarqjaaPC7TbFINNx4AaABAg.9QM9WCCnud69QM9Y00WCrh
                    channelId: UCuAXFkgsw1L7xaCfnd5JJOw
                    textDisplay: You are the king of memes
                    textOriginal: You are the king of memes
                    parentId: UgzarqjaaPC7TbFINNx4AaABAg
                    authorDisplayName: '@RememberRonSherman'
                    authorProfileImageUrl: >-
                      https://yt3.ggpht.com/VVrv3SZ2WS9k_u-pGoIdMjU0hmwBR-gYLMFRX9jc_mCBtNs42IcMCJSVQfJyna6nHrN8smpGYD0=s48-c-k-c0x00ffffff-no-rj
                    authorChannelUrl: http://www.youtube.com/@RememberRonSherman
                    authorChannelId:
                      value: UCvrLrfv5QOVbocZFxEIsWXg
                    canRate: true
                    viewerRating: none
                    likeCount: 96555
                    publishedAt: '2021-07-28T21:00:47Z'
                    updatedAt: '2021-07-28T21:01:59Z'
                  - id: UgzarqjaaPC7TbFINNx4AaABAg.9QM9WCCnud69QM9YYj-kTm
                    channelId: UCuAXFkgsw1L7xaCfnd5JJOw
                    textDisplay: If you are seeing this you probably got rickrolled 😔
                    textOriginal: If you are seeing this you probably got rickrolled 😔
                    parentId: UgzarqjaaPC7TbFINNx4AaABAg
                    authorDisplayName: '@mune1'
                    authorProfileImageUrl: >-
                      https://yt3.ggpht.com/_dF2uIfWc72vCTMdCB4jOWRpTfhJmx0FOPtusBhJu6IwuF-jJ6PKYarlcRp-4oS2ic_XAQyRPQ=s48-c-k-c0x00ffffff-no-rj
                    authorChannelUrl: http://www.youtube.com/@mune1
                    authorChannelId:
                      value: UCpelf0uhG-_eRnaPl-G7_lA
                    canRate: true
                    viewerRating: none
                    likeCount: 70229
                    publishedAt: '2021-07-28T21:00:51Z'
                    updatedAt: '2021-08-09T06:06:58Z'
                  - id: UgzarqjaaPC7TbFINNx4AaABAg.9QM9WCCnud69QM9YghC1wE
                    channelId: UCuAXFkgsw1L7xaCfnd5JJOw
                    textDisplay: Rick&#39;d
                    textOriginal: Rick'd
                    parentId: UgzarqjaaPC7TbFINNx4AaABAg
                    authorDisplayName: '@aliale161'
                    authorProfileImageUrl: >-
                      https://yt3.ggpht.com/ytc/AIdro_k2y9Y93UgTWST5dVa5h_YXvCUn427wn4yeAA-ZuKo=s48-c-k-c0x00ffffff-no-rj
                    authorChannelUrl: http://www.youtube.com/@aliale161
                    authorChannelId:
                      value: UCefA8r7E0qTfvCerb18C82g
                    canRate: true
                    viewerRating: none
                    likeCount: 40331
                    publishedAt: '2021-07-28T21:00:52Z'
                    updatedAt: '2021-09-28T02:10:03Z'
                  - id: UgzarqjaaPC7TbFINNx4AaABAg.9QM9WCCnud69QM9YnKUTOD
                    channelId: UCuAXFkgsw1L7xaCfnd5JJOw
                    textDisplay: 1 BILLION BABY!
                    textOriginal: 1 BILLION BABY!
                    parentId: UgzarqjaaPC7TbFINNx4AaABAg
                    authorDisplayName: '@ZerakimSC2'
                    authorProfileImageUrl: >-
                      https://yt3.ggpht.com/ytc/AIdro_mRZVaPjSfLd3303hsE_jXA3Sp30ZQ4RkcsFTKGLPskGg=s48-c-k-c0x00ffffff-no-rj
                    authorChannelUrl: http://www.youtube.com/@ZerakimSC2
                    authorChannelId:
                      value: UCzXc-QELHzOMohBhsCjxzxA
                    canRate: true
                    viewerRating: none
                    likeCount: 36519
                    publishedAt: '2021-07-28T21:00:53Z'
                    updatedAt: '2021-07-28T21:00:53Z'
                  - id: UgzarqjaaPC7TbFINNx4AaABAg.9QM9WCCnud69QM9YrMhOkO
                    channelId: UCuAXFkgsw1L7xaCfnd5JJOw
                    textDisplay: This video is the reason I&#39;m afraid of clicking links.
                    textOriginal: This video is the reason I'm afraid of clicking links.
                    parentId: UgzarqjaaPC7TbFINNx4AaABAg
                    authorDisplayName: '@RememberRonSherman'
                    authorProfileImageUrl: >-
                      https://yt3.ggpht.com/VVrv3SZ2WS9k_u-pGoIdMjU0hmwBR-gYLMFRX9jc_mCBtNs42IcMCJSVQfJyna6nHrN8smpGYD0=s48-c-k-c0x00ffffff-no-rj
                    authorChannelUrl: http://www.youtube.com/@RememberRonSherman
                    authorChannelId:
                      value: UCvrLrfv5QOVbocZFxEIsWXg
                    canRate: true
                    viewerRating: none
                    likeCount: 34223
                    publishedAt: '2021-07-28T21:00:53Z'
                    updatedAt: '2021-07-29T21:52:27Z'
                  - id: UgzarqjaaPC7TbFINNx4AaABAg.9QM9WCCnud69QM9Yv5lnLT
                    channelId: UCuAXFkgsw1L7xaCfnd5JJOw
                    textDisplay: Fun Fact:<br><br><br><br>‎<br>‎
                    textOriginal: |-
                      Fun Fact:



                      ‎
                      ‎
                    parentId: UgzarqjaaPC7TbFINNx4AaABAg
                    authorDisplayName: '@DVFT'
                    authorProfileImageUrl: >-
                      https://yt3.ggpht.com/EqUTseldaGYsrjJ1lOyF7rfheMqA4E_xWDBiMm9XwJzz53reic2Sh5CFiYgQBzyb__BCg-WSg6w=s48-c-k-c0x00ffffff-no-rj
                    authorChannelUrl: http://www.youtube.com/@DVFT
                    authorChannelId:
                      value: UCLy-mLFHwnj0XPZ4WSy_Png
                    canRate: true
                    viewerRating: none
                    likeCount: 37434
                    publishedAt: '2021-07-28T21:00:54Z'
                    updatedAt: '2021-08-18T02:24:01Z'
                  - id: UgzarqjaaPC7TbFINNx4AaABAg.9QM9WCCnud69QM9Z69KVBw
                    channelId: UCuAXFkgsw1L7xaCfnd5JJOw
                    textDisplay: Yo
                    textOriginal: Yo
                    parentId: UgzarqjaaPC7TbFINNx4AaABAg
                    authorDisplayName: '@cryux3691'
                    authorProfileImageUrl: >-
                      https://yt3.ggpht.com/ncsmqv4uwzN2nqY4fi5rfhMk3lDhLugk-mlLgBlN__HCpnIUl5KcwbDRof0DCiPaL7rvkgFsJQ=s48-c-k-c0x00ffffff-no-rj
                    authorChannelUrl: http://www.youtube.com/@cryux3691
                    authorChannelId:
                      value: UCPu8bfAuRMYoRY-etrYXDSQ
                    canRate: true
                    viewerRating: none
                    likeCount: 17589
                    publishedAt: '2021-07-28T21:00:55Z'
                    updatedAt: '2021-07-28T21:00:55Z'
                  - id: UgzarqjaaPC7TbFINNx4AaABAg.9QM9WCCnud69QM9Z9m-U5E
                    channelId: UCuAXFkgsw1L7xaCfnd5JJOw
                    textDisplay: >-
                      YOO BIG FAN HERE!<br><br> congratulations Rick, you are a
                      legend!!!
                    textOriginal: |-
                      YOO BIG FAN HERE!

                       congratulations Rick, you are a legend!!!
                    parentId: UgzarqjaaPC7TbFINNx4AaABAg
                    authorDisplayName: '@jrxjared1621'
                    authorProfileImageUrl: >-
                      https://yt3.ggpht.com/qWhmNbauFJpBbzmoRRfQNl-1QbZ7n3f5Ilk8V8WHLtfUTRs2EBUUmGk-tiQHNojorH-WZZkrVRw=s48-c-k-c0x00ffffff-no-rj
                    authorChannelUrl: http://www.youtube.com/@jrxjared1621
                    authorChannelId:
                      value: UCx1FNk_r2k48qj5Zf1ZVPhA
                    canRate: true
                    viewerRating: none
                    likeCount: 17486
                    publishedAt: '2021-07-28T21:00:56Z'
                    updatedAt: '2023-03-18T16:37:50Z'
                  - id: UgzarqjaaPC7TbFINNx4AaABAg.9QM9WCCnud69QM9ZEcqG-W
                    channelId: UCuAXFkgsw1L7xaCfnd5JJOw
                    textDisplay: RICK!!!!
                    textOriginal: RICK!!!!
                    parentId: UgzarqjaaPC7TbFINNx4AaABAg
                    authorDisplayName: '@5StarEric'
                    authorProfileImageUrl: >-
                      https://yt3.ggpht.com/wPn01NlSu6wIEioGvAHrQqM_B2tH7PHVgdbLXYwnGqTBkBeAyxKLeHcNCHjk4g3202mkXlKF4QY=s48-c-k-c0x00ffffff-no-rj
                    authorChannelUrl: http://www.youtube.com/@5StarEric
                    authorChannelId:
                      value: UCEKdrPmLZQyLpTSvUBGU7_Q
                    canRate: true
                    viewerRating: none
                    likeCount: 12194
                    publishedAt: '2021-07-28T21:00:57Z'
                    updatedAt: '2021-07-28T21:00:57Z'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  error:
                    type: object
                    properties:
                      issues:
                        type: array
                        items:
                          type: object
                          properties:
                            code:
                              type: string
                            maximum:
                              type: number
                            type:
                              type: string
                            inclusive:
                              type: boolean
                            exact:
                              type: boolean
                            message:
                              type: string
                            path:
                              type: array
                              items:
                                type: string
                          required:
                            - code
                            - type
                            - message
                            - path
                      name:
                        type: string
                        enum:
                          - ZodError
                    required:
                      - issues
                      - name
                required:
                  - success
                  - error
              example:
                success: false
                error:
                  issues:
                    - code: too_big
                      maximum: 11
                      type: string
                      inclusive: true
                      exact: true
                      message: String must contain exactly 11 character(s)
                      path:
                        - videoId
                  name: ZodError
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      message:
                        type: string
                    required:
                      - message
                required:
                  - error
              example:
                error:
                  message: Forbidden
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````